libogg documentation | libogg release 1.0 - 20000615

# ogg_stream_pageout

declared in "ogg/ogg.h";

This function forms packets into pages. If

In a typical encoding situation, this would be called after using ogg_stream_packetin to submit data packets to the bitstream.

Internally, this function breaks the page into packet segments in preparation for outputting a valid packet to the codec decoding layer.

    int ogg_stream_pageout(ogg_stream_state *os, ogg_page *og);

### Parameters

os
  Pointer to a previously declared ogg_stream struct, which represents the current logical bitstream.
og
  Pointer to a page of data. The data inside this page is being submitted to the streaming layer in order to be allocated into packets.

### Return Values

> - Zero means that insufficient data has accumulated to fill a page.
> - Non-zero means that a page has been completed and flushed.

copyright © 2000 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg release 1.0 - 20000615